Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class Event

    java.lang.Object
      oracle.ifs.fdk.Event

All Implemented Interfaces:
  java.io.Serializable

    public class Event

extends java.lang.Object
implements java.io.Serializable

Models an event that occurred; events can be audited and then retrieved by querying an audit history.

See Also:
  Serialized Form

Constructor Summary
`Event()` Constructs an Event.
`Event(long id, long sessId, long appSessId, java.lang.String opType, java.util.Date createDate, long creatorId, long sessionUserId, long domainId, boolean success, long targetId, long[] auxTargetIds, long[] auxTargetTypeIds, java.lang.String appUser, java.lang.String appContext, java.lang.String auxString, java.lang.Long auxNumber, NamedValue[] properties)` Constructs an Event.

Method Summary
`java.lang.String` | `getApplicationContext()` Returns the Application Context identifier in effect on the session that performed the operation that resulted in creating this Event.
`long` | `getApplicationSessionId()` Returns the ID of the application session context (if any) used to perform the operation that resulted in creating this Event.
`java.lang.String` | `getApplicationUser()` Returns the Application User identifier in effect on the session that performed the operation that resulted in creating this Event.
`java.lang.Long` | `getAuxiliaryNumber()` Returns the auxiliary number associated with this Event.
`java.lang.String` | `getAuxiliaryString()` Returns the auxiliary string associated with this Event.
`long[]` | `getAuxTargetIds()` Returns the IDs of the auxiliary Items associated with this Event.
`long[]` | `getAuxTargetTypeIds()` Returns the internal IDs used to identify the types of the auxiliary Items associated with this Event.
`java.util.Date` | `getCreateDate()` Returns the Date this Event was created.
`long` | `getCreatorId()` Returns the ID of the User Item that performed the operation that resulted in creating this Event.
`long` | `getDomainId()` Returns the ID of the Domain Item with which this Event is associated.
`long` | `getId()` Returns this Event's ID.
`java.lang.String` | `getOperationType()` Returns this Event's operation type key.
`NamedValue[]` | `getProperties()` Returns the auxiliary properties associated with this Event.
`long` | `getSessionId()` Returns the ID of the server session used to perform the operation that resulted in creating this Event.
`long` | `getSessionUserId()` Returns the ID of the User Item that performed the operation that resulted in creating this Event.
`long` | `getTargetId()` Returns the ID of the target Item with which this Event is associated.
`boolean` | `isOperationSuccessful()` Returns an indication as to whether the operation sttempted which resulted in the creation of this Event actually succeeded.
`void` | `setApplicationContext(java.lang.String applicationContext)` Always throws a RuntimeException.
`void` | `setApplicationSessionId(long appSessionId)` Always throws a RuntimeException.
`void` | `setApplicationUser(java.lang.String applicationUser)` Always throws a RuntimeException.
`void` | `setAuxiliaryNumber(java.lang.Long auxNumber)` Always throws a RuntimeException.
`void` | `setAuxiliaryString(java.lang.String auxString)` Always throws a RuntimeException.
`void` | `setAuxTargetIds(long[] auxTargetIds)` Always throws a RuntimeException.
`void` | `setAuxTargetTypeIds(long[] auxTargetTypeIds)` Always throws a RuntimeException.
`void` | `setCreateDate(java.util.Date createDate)` Always throws a RuntimeException.
`void` | `setCreatorId(long creatorId)` Always throws a RuntimeException.
`void` | `setDomainId(long domainId)` Always throws a RuntimeException.
`void` | `setId(long id)` Always throws a RuntimeException.
`void` | `setOperationSuccessful(boolean opSuccessful)` Always throws a RuntimeException.
`void` | `setOperationType(java.lang.String operationType)` Always throws a RuntimeException.
`void` | `setProperties(NamedValue[] properties)` Always throws a RuntimeException.
`void` | `setSessionId(long sessionId)` Always throws a RuntimeException.
`void` | `setSessionUserId(long sessionUserId)` Always throws a RuntimeException.
`void` | `setTargetId(long targetId)` Always throws a RuntimeException.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Event

    public Event()

  Constructs an Event.

### Event

    public Event(long id,
                 long sessId,
                 long appSessId,
                 java.lang.String opType,
                 java.util.Date createDate,
                 long creatorId,
                 long sessionUserId,
                 long domainId,
                 boolean success,
                 long targetId,
                 long[] auxTargetIds,
                 long[] auxTargetTypeIds,
                 java.lang.String appUser,
                 java.lang.String appContext,
                 java.lang.String auxString,
                 java.lang.Long auxNumber,
                 NamedValue[] properties)

  Constructs an Event. Used internally.

  (Unpublished)

Method Detail

### getId

    public long getId()

  Description copied from class: `Event`
  Returns this Event's ID.

  Returns:
    the audit identifier

### getSessionId

    public long getSessionId()

  Description copied from class: `Event`
  Returns the ID of the server session used to perform the operation that resulted in creating this Event.

  Returns:
    the session ID

### getApplicationSessionId

    public long getApplicationSessionId()

  Description copied from class: `Event`
  Returns the ID of the application session context (if any) used to perform the operation that resulted in creating this Event.

  Returns 0 if the operation was performed without an application context.

  Returns:
    the application session context ID

### getOperationType

    public java.lang.String getOperationType()

  Description copied from class: `Event`
  Returns this Event's operation type key.

  Returns:
    the Event operation type key

### getCreateDate

    public java.util.Date getCreateDate()

  Description copied from class: `Event`
  Returns the Date this Event was created.

  Returns:
    the create Date

### getCreatorId

    public long getCreatorId()

  Description copied from class: `Event`
  Returns the ID of the User Item that performed the operation that resulted in creating this Event.

  Returns:
    the creator ID

### getSessionUserId

    public long getSessionUserId()

  Description copied from class: `Event`
  Returns the ID of the User Item that performed the operation that resulted in creating this Event.

  Can be different from the creator ID if the session which caused the event to be created was switched into administration mode, or if the operation was performed on behalf of the user in an asynchronous process, such as in a workflow or agent.

  Returns:
    the session user ID

### getDomainId

    public long getDomainId()

  Description copied from class: `Event`
  Returns the ID of the Domain Item with which this Event is associated.

  Returns:
    the Domain Item ID

### isOperationSuccessful

    public boolean isOperationSuccessful()

  Description copied from class: `Event`
  Returns an indication as to whether the operation sttempted which resulted in the creation of this Event actually succeeded.

  Returns:
    true if the operation represented by this Event completed successfully; false otherwise

### getTargetId

    public long getTargetId()

  Description copied from class: `Event`
  Returns the ID of the target Item with which this Event is associated.

  Returns:
    the target Item ID

### getAuxTargetIds

    public long[] getAuxTargetIds()

  Description copied from class: `Event`
  Returns the IDs of the auxiliary Items associated with this Event.

  Returns:
    the auxiliary Item IDs

### getAuxTargetTypeIds

    public long[] getAuxTargetTypeIds()

  Description copied from class: `Event`
  Returns the internal IDs used to identify the types of the auxiliary Items associated with this Event.

  Returns:
    the auxiliary Item's type IDs

### getApplicationUser

    public java.lang.String getApplicationUser()

  Description copied from class: `Event`
  Returns the Application User identifier in effect on the session that performed the operation that resulted in creating this Event.

  Returns:
    the Application User name

### getApplicationContext

    public java.lang.String getApplicationContext()

  Description copied from class: `Event`
  Returns the Application Context identifier in effect on the session that performed the operation that resulted in creating this Event.

  Returns:
    the Application Context string

### getAuxiliaryString

    public java.lang.String getAuxiliaryString()

  Description copied from class: `Event`
  Returns the auxiliary string associated with this Event.

  Returns:
    the auxiliary string

### getAuxiliaryNumber

    public java.lang.Long getAuxiliaryNumber()

  Description copied from class: `Event`
  Returns the auxiliary number associated with this Event.

  Returns:
    the auxiliary number

### getProperties

    public NamedValue[] getProperties()

  Description copied from class: `Event`
  Returns the auxiliary properties associated with this Event.

  Returns:
    the auxiliary event properties

### setId

    public void setId(long id)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setSessionId

    public void setSessionId(long sessionId)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setApplicationSessionId

    public void setApplicationSessionId(long appSessionId)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setOperationType

    public void setOperationType(java.lang.String operationType)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setCreateDate

    public void setCreateDate(java.util.Date createDate)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setCreatorId

    public void setCreatorId(long creatorId)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setSessionUserId

    public void setSessionUserId(long sessionUserId)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setDomainId

    public void setDomainId(long domainId)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setOperationSuccessful

    public void setOperationSuccessful(boolean opSuccessful)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setTargetId

    public void setTargetId(long targetId)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setAuxTargetIds

    public void setAuxTargetIds(long[] auxTargetIds)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setAuxTargetTypeIds

    public void setAuxTargetTypeIds(long[] auxTargetTypeIds)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setApplicationUser

    public void setApplicationUser(java.lang.String applicationUser)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setApplicationContext

    public void setApplicationContext(java.lang.String applicationContext)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setAuxiliaryString

    public void setAuxiliaryString(java.lang.String auxString)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setAuxiliaryNumber

    public void setAuxiliaryNumber(java.lang.Long auxNumber)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setProperties

    public void setProperties(NamedValue[] properties)

  Description copied from class: `Event`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD